#include<iostream.h>
#include<conio.h>
int main() {
    clrscr();
    int i,q,m[100][100],N,P,prosti[100]={0},niska,visoka;
    cin >> N >> P;
    while (N<1||P>100||P<=0) {
          cout << "N ne trqbva da e po-malko ot 1!\nP trqbva da e po-golqmo ot 0 i ne po-golqmo ot 100!\n";
          cin >> N >> P;
    }
    for (i=0;i<N;i++)
        for(q=0;q<P;q++) {
                cin >> m[i][q];
                if(m[i][q]<0||m[i][q]>1000) {
                     cout << "Ocenkite trqbva da sa 4isla ot 0 do 1000!\n";
                     q=-1;
                }
        }
    for (i=0;i<N;i++) {
        niska=-1;
        visoka=0;
        for( q=0;q<P;q++) {
                if(m[i][q]>visoka) visoka=m[i][q];
                if(niska==-1) niska=m[i][q];
                else if (niska>m[i][q]) niska=m[i][q];
        }
        for(q=0;q<P;q++) {
                if (niska==visoka) {
                   if (niska==m[i][q]) prosti[q]=prosti[q]+1;
                } else {
                       if (niska==m[i][q]) prosti[q]=prosti[q]+1;
                       if (visoka==m[i][q]) prosti[q]=-1;
                }
        }
    }
    for (i=0;i<N;i++) {
        if(prosti[i]!=-1&&prosti[i]>=N-N/2) cout << i+1 <<' ';
    }
    getch();
    return 0;
}